com.r3corda.core.node.services.testing / MockServices / invokeProtocolAsync

# invokeProtocolAsync

`open fun <T : Any> invokeProtocolAsync(logicType: Class<out ProtocolLogic<T>>, vararg args: Any?): <ERROR CLASS><T>`
Overrides ServiceHub.invokeProtocolAsync

Will check logicType and args against a whitelist and if acceptable then construct and initiate the protocol.

### Exceptions

`IllegalProtocolLogicException` - or IllegalArgumentException if there are problems with the logicType or args.